Package org.eclipse.ui.texteditor

# Class AbstractDecoratedTextEditorPreferenceConstants

java.lang.Object
org.eclipse.ui.texteditor.AbstractDecoratedTextEditorPreferenceConstants

public class AbstractDecoratedTextEditorPreferenceConstants extends Object
Preference constants used in the extended text editor preference store.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`EDITOR_CURRENT_LINE`
A named preference that controls whether the current line highlighting is turned on or off (value `"currentLine"`).
`static final String`
`EDITOR_CURRENT_LINE_COLOR`
A named preference that holds the color used to highlight the current line (value `"currentLineColor"`).
`static final String`
`EDITOR_DELETE_SPACES_AS_TABS`
A named preference that specifies if the editor removes multiple spaces on delete/backspace key as if they were tabs.
`static final String`
`EDITOR_DISABLE_OVERWRITE_MODE`
A named preference that controls disabling of the overwrite mode.
`static final String`
`EDITOR_HOVER_ENRICH_MODE`
A named preference that controls if hovers should automatically be closed when the mouse is moved into them, or when they should be enriched.
`static final String`
`EDITOR_HYPERLINK_COLOR`
A named preference that holds the color used for hyperlinks.
`static final String`
`EDITOR_HYPERLINK_COLOR_SYSTEM_DEFAULT`
A named preference that holds the preference whether to use the native link color.
`static final String`
`EDITOR_HYPERLINK_KEY_MODIFIER`
A named preference that controls the key modifier for hyperlinks.
`static final String`
`EDITOR_HYPERLINK_KEY_MODIFIER_MASK`
A named preference that controls the key modifier mask for hyperlinks.
`static final String`
`EDITOR_HYPERLINKS_ENABLED`
A named preference that controls if hyperlinks are turned on or off.
`static final String`
`EDITOR_LINE_NUMBER_RULER`
A named preference that controls if the line number ruler is shown in the UI (value `"lineNumberRuler"`).
`static final String`
`EDITOR_LINE_NUMBER_RULER_COLOR`
A named preference that holds the color used to render line numbers inside the line number ruler (value `"lineNumberColor"`).
`static final String`
`EDITOR_LINE_SPACING`
A named preference that holds the integer percentage ratio for extra line spacing in the text editor.
`static final String`
`EDITOR_OVERVIEW_RULER`
A named preference that controls if the overview ruler is shown in the UI (value `"overviewRuler"`).
`static final String`
`EDITOR_PRINT_MARGIN`
A named preference that controls whether the print margin is turned on or off (value `"printMargin"`).
`static final String`
`EDITOR_PRINT_MARGIN_ALLOW_OVERRIDE`
Tells whether editors are allowed to override the print margin preference (value `"printMarginAllowOverride"`).
`static final String`
`EDITOR_PRINT_MARGIN_COLOR`
A named preference that holds the color used to render the print margin (value `"printMarginColor"`).
`static final String`
`EDITOR_PRINT_MARGIN_COLUMN`
Print margin column (value `"printMarginColumn"`).
`static final String`
`EDITOR_SELECTION_BACKGROUND_COLOR`
A named preference that holds the color used as the text selection background.
`static final String`
`EDITOR_SELECTION_BACKGROUND_DEFAULT_COLOR`
A named preference that describes if the system default selection background color is used as the text selection background.
`static final String`
`EDITOR_SELECTION_FOREGROUND_COLOR`
A named preference that holds the color used as the text selection foreground.
`static final String`
`EDITOR_SELECTION_FOREGROUND_DEFAULT_COLOR`
A named preference that describes if the system default selection foreground color is used as the text selection foreground.
`static final String`
`EDITOR_SHOW_CARET_OFFSET`
A named preference that controls if the caret offset is shown in the status line.
`static final String`
`EDITOR_SHOW_CARRIAGE_RETURN`
A named preference that controls the display of Carriage Return characters.
`static final String`
`EDITOR_SHOW_ENCLOSED_IDEOGRAPHIC_SPACES`
A named preference that controls the display of enclosed Ideographic Space characters.
`static final String`
`EDITOR_SHOW_ENCLOSED_SPACES`
A named preference that controls the display of enclosed Space characters.
`static final String`
`EDITOR_SHOW_ENCLOSED_TABS`
A named preference that controls the display of enclosed Tab characters.
`static final String`
`EDITOR_SHOW_LEADING_IDEOGRAPHIC_SPACES`
A named preference that controls the display of leading Ideographic Space characters.
`static final String`
`EDITOR_SHOW_LEADING_SPACES`
A named preference that controls the display of leading Space characters.
`static final String`
`EDITOR_SHOW_LEADING_TABS`
A named preference that controls the display of leading Tab characters.
`static final String`
`EDITOR_SHOW_LINE_FEED`
A named preference that controls the display of Line Feed characters.
`static final String`
`EDITOR_SHOW_SELECTION_SIZE`
A named preference that controls if the selection size (number of selected characters) is shown in the status line.
`static final String`
`EDITOR_SHOW_TEXT_HOVER_AFFORDANCE`
A named preference that defines whether the hint to make hover sticky should be shown.
`static final String`
`EDITOR_SHOW_TRAILING_IDEOGRAPHIC_SPACES`
A named preference that controls the display of trailing Ideographic Space characters.
`static final String`
`EDITOR_SHOW_TRAILING_SPACES`
A named preference that controls the display of trailing Space characters.
`static final String`
`EDITOR_SHOW_TRAILING_TABS`
A named preference that controls the display of trailing Tab characters.
`static final String`
`EDITOR_SHOW_WHITESPACE_CHARACTERS`
A named preference that controls the display of whitespace characters.
`static final String`
`EDITOR_SMART_HOME_END`
A named preference that controls if smart home/end navigation is on or off
`static final String`
`EDITOR_SPACES_FOR_TABS`
A named preference that specifies if the editor uses spaces for tabs.
`static final String`
`EDITOR_TAB_WIDTH`
A named preference that holds the number of spaces used per tab in the text editor.
`static final String`
`EDITOR_TEXT_DRAG_AND_DROP_ENABLED`
A named preference that controls whether text drag and drop is enabled.
`static final String`
`EDITOR_UNDO_HISTORY_SIZE`
A named preference that holds the size of the editor's undo history.
`static final String`
`EDITOR_UNKNOWN_INDICATION`
Deprecated.
as of 3.0 there are no UNKNOWN annotations any more
`static final String`
`EDITOR_UNKNOWN_INDICATION_COLOR`
Deprecated.
As of 3.0, there are no UNKNOWN annotations any more
`static final String`
`EDITOR_UNKNOWN_INDICATION_IN_OVERVIEW_RULER`
Deprecated.
As of 3.0, there are no UNKNOWN annotations any more
`static final String`
`EDITOR_USE_CUSTOM_CARETS`
A named preference that controls whether custom carets are used in the editor or not.
`static final String`
`EDITOR_WARN_IF_INPUT_DERIVED`
A named preference that controls whether a confirmation dialog is shown before editing derived input.
`static final String`
`EDITOR_WHITESPACE_CHARACTER_ALPHA_VALUE`
A named preference that controls the alpha value of whitespace characters.
`static final String`
`EDITOR_WIDE_CARET`
A named preference that controls whether carets are drawn wide or not.
`static final String`
`QUICK_DIFF_ALWAYS_ON`
A named preference that controls whether quick diff colors are shown on the line number bar.
`static final String`
`QUICK_DIFF_CHARACTER_MODE`
A named preference that controls the default quick diff reference provider.
`static final String`
`QUICK_DIFF_DEFAULT_PROVIDER`
A named preference that controls the default quick diff reference provider.
`static final String`
`REVISION_ASK_BEFORE_QUICKDIFF_SWITCH`
A named preference that controls whether the user is asked before switching the quick diff reference when showing revision information..
`static final String`
`REVISION_RULER_RENDERING_MODE`
A named preference that controls the rendering mode of the revision ruler.
`static final String`
`REVISION_RULER_SHOW_AUTHOR`
A named preference that controls the rendering of the author on the revision ruler.
`static final String`
`REVISION_RULER_SHOW_REVISION`
A named preference that controls rendering of the revision on the revision ruler.
`static final String`
`SHOW_RANGE_INDICATOR`
A named preference that controls the display of the range indicator.
`static final String`
`USE_ANNOTATIONS_PREFERENCE_PAGE`
A named preference that controls whether this plug-in's Annotations preference page is used to configure annotations.
`static final String`
`USE_QUICK_DIFF_PREFERENCE_PAGE`
A named preference that controls whether this plug-in's Quick Diff preference page is used to configure Quick Diff.
`static final String`
`USE_SATURATED_COLORS_IN_OVERVIEW_RULER`
A named preference that controls whether to use saturated colors in the overview ruler.

## Method Summary

Modifier and Type
Method
Description
`static void`
`initializeDefaultValues(IPreferenceStore store)`
Initializes the given preference store with the default values.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EDITOR_CURRENT_LINE

public static final String EDITOR_CURRENT_LINE
A named preference that controls whether the current line highlighting is turned on or off (value `"currentLine"`).

The preference value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_CURRENT_LINE_COLOR

public static final String EDITOR_CURRENT_LINE_COLOR
A named preference that holds the color used to highlight the current line (value `"currentLineColor"`).

The preference value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`.

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_TAB_WIDTH

public static final String EDITOR_TAB_WIDTH
A named preference that holds the number of spaces used per tab in the text editor.

Value is of type `int`: positive int value specifying the number of spaces per tab.

See Also:
  - Constant Field Values

### EDITOR_LINE_SPACING

public static final String EDITOR_LINE_SPACING
A named preference that holds the integer percentage ratio for extra line spacing in the text editor.

Value is of type `int`: positive int value specifying the extra spacing between lines. e.g. 10 = increase line spae by 1.1 to current font height used in textwidget.

Since:
  3.15
See Also:
  - Constant Field Values

### EDITOR_SPACES_FOR_TABS

public static final String EDITOR_SPACES_FOR_TABS
A named preference that specifies if the editor uses spaces for tabs.

Value is of type `Boolean`. If `true`spaces instead of tabs are used in the editor. If `false` the editor inserts a tab character when pressing the tab key.

See Also:
  - Constant Field Values

### EDITOR_DELETE_SPACES_AS_TABS

public static final String EDITOR_DELETE_SPACES_AS_TABS
A named preference that specifies if the editor removes multiple spaces on delete/backspace key as if they were tabs. Only relevant when `EDITOR_SPACES_FOR_TABS` preference is set to `true`.

Value is of type `Boolean`. If `true`, the editor removes multiple spaces.

Since:
  3.13
See Also:
  - Constant Field Values

### EDITOR_UNDO_HISTORY_SIZE

public static final String EDITOR_UNDO_HISTORY_SIZE
A named preference that holds the size of the editor's undo history.

Value is of type `int`: 0 or positive int value specifying the size of the editor's undo history.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_PRINT_MARGIN

public static final String EDITOR_PRINT_MARGIN
A named preference that controls whether the print margin is turned on or off (value `"printMargin"`).

The preference value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_PRINT_MARGIN_COLOR

public static final String EDITOR_PRINT_MARGIN_COLOR
A named preference that holds the color used to render the print margin (value `"printMarginColor"`).

The preference value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`.

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_PRINT_MARGIN_COLUMN

public static final String EDITOR_PRINT_MARGIN_COLUMN
Print margin column (value `"printMarginColumn"`).

The preference value is of type `int`.

See Also:
  - Constant Field Values

### EDITOR_PRINT_MARGIN_ALLOW_OVERRIDE

public static final String EDITOR_PRINT_MARGIN_ALLOW_OVERRIDE
Tells whether editors are allowed to override the print margin preference (value `"printMarginAllowOverride"`).

The preference value is of type `boolean`.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### EDITOR_UNKNOWN_INDICATION

@Deprecated public static final String EDITOR_UNKNOWN_INDICATION
Deprecated.
as of 3.0 there are no UNKNOWN annotations any more
A named preference that controls whether the editor shows unknown indicators in text (squiggly lines). (value `"othersIndication"`).

The preference value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_UNKNOWN_INDICATION_COLOR

@Deprecated public static final String EDITOR_UNKNOWN_INDICATION_COLOR
Deprecated.
As of 3.0, there are no UNKNOWN annotations any more
A named preference that holds the color used to render unknown indicators (value `"othersIndicationColor"`).

The preference value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`.

See Also:
  - `EDITOR_UNKNOWN_INDICATION`
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_UNKNOWN_INDICATION_IN_OVERVIEW_RULER

@Deprecated public static final String EDITOR_UNKNOWN_INDICATION_IN_OVERVIEW_RULER
Deprecated.
As of 3.0, there are no UNKNOWN annotations any more
A named preference that controls whether the overview ruler shows unknown indicators (value `"othersIndicationInOverviewRuler"`).

The preference value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_OVERVIEW_RULER

public static final String EDITOR_OVERVIEW_RULER
A named preference that controls if the overview ruler is shown in the UI (value `"overviewRuler"`).

The preference value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_LINE_NUMBER_RULER

public static final String EDITOR_LINE_NUMBER_RULER
A named preference that controls if the line number ruler is shown in the UI (value `"lineNumberRuler"`).

The preference value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_SHOW_CARET_OFFSET

public static final String EDITOR_SHOW_CARET_OFFSET
A named preference that controls if the caret offset is shown in the status line.

The preference value is of type `Boolean`.

Since:
  3.12
See Also:
  - Constant Field Values

### EDITOR_SHOW_SELECTION_SIZE

public static final String EDITOR_SHOW_SELECTION_SIZE
A named preference that controls if the selection size (number of selected characters) is shown in the status line.

The preference value is of type `Boolean`.

Since:
  3.12
See Also:
  - Constant Field Values

### EDITOR_LINE_NUMBER_RULER_COLOR

public static final String EDITOR_LINE_NUMBER_RULER_COLOR
A named preference that holds the color used to render line numbers inside the line number ruler (value `"lineNumberColor"`).

The preference value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`.

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - `EDITOR_LINE_NUMBER_RULER`
  - Constant Field Values

### USE_ANNOTATIONS_PREFERENCE_PAGE

public static final String USE_ANNOTATIONS_PREFERENCE_PAGE
A named preference that controls whether this plug-in's Annotations preference page is used to configure annotations.

Value is of type `boolean`.

See Also:
  - Constant Field Values

### USE_QUICK_DIFF_PREFERENCE_PAGE

public static final String USE_QUICK_DIFF_PREFERENCE_PAGE
A named preference that controls whether this plug-in's Quick Diff preference page is used to configure Quick Diff.

Value is of type `boolean`.

See Also:
  - Constant Field Values

### QUICK_DIFF_ALWAYS_ON

public static final String QUICK_DIFF_ALWAYS_ON
A named preference that controls whether quick diff colors are shown on the line number bar.

Value is of type `boolean`.

See Also:
  - Constant Field Values

### QUICK_DIFF_DEFAULT_PROVIDER

public static final String QUICK_DIFF_DEFAULT_PROVIDER
A named preference that controls the default quick diff reference provider.

Value is of type `String`.

See Also:
  - Constant Field Values

### QUICK_DIFF_CHARACTER_MODE

public static final String QUICK_DIFF_CHARACTER_MODE
A named preference that controls the default quick diff reference provider.

Value is of type `String`.

See Also:
  - Constant Field Values

### EDITOR_USE_CUSTOM_CARETS

public static final String EDITOR_USE_CUSTOM_CARETS
A named preference that controls whether custom carets are used in the editor or not.

Value is of type `Boolean`. If `false`, only the default caret is used in the editor.

See Also:
  - Constant Field Values

### EDITOR_WIDE_CARET

public static final String EDITOR_WIDE_CARET
A named preference that controls whether carets are drawn wide or not.

Value is of type `Boolean`. If `true`, the caret is twice as wide as the default caret.

See Also:
  - Constant Field Values

### USE_SATURATED_COLORS_IN_OVERVIEW_RULER

public static final String USE_SATURATED_COLORS_IN_OVERVIEW_RULER
A named preference that controls whether to use saturated colors in the overview ruler.

Value is of type `Boolean`. If `true`, saturated colors are used

Since:
  3.8
See Also:
  - `IOverviewRulerExtension.setUseSaturatedColors(boolean)`
  - Constant Field Values

### EDITOR_SELECTION_FOREGROUND_COLOR

public static final String EDITOR_SELECTION_FOREGROUND_COLOR
A named preference that holds the color used as the text selection foreground. This value has no effect if the system default color is used.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_SELECTION_FOREGROUND_DEFAULT_COLOR

public static final String EDITOR_SELECTION_FOREGROUND_DEFAULT_COLOR
A named preference that describes if the system default selection foreground color is used as the text selection foreground.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_SELECTION_BACKGROUND_COLOR

public static final String EDITOR_SELECTION_BACKGROUND_COLOR
A named preference that holds the color used as the text selection background. This value has no effect if the system default color is used.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_SELECTION_BACKGROUND_DEFAULT_COLOR

public static final String EDITOR_SELECTION_BACKGROUND_DEFAULT_COLOR
A named preference that describes if the system default selection background color is used as the text selection background.

Value is of type `Boolean`.

See Also:
  - Constant Field Values

### EDITOR_HYPERLINKS_ENABLED

public static final String EDITOR_HYPERLINKS_ENABLED
A named preference that controls if hyperlinks are turned on or off.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_HYPERLINK_KEY_MODIFIER

public static final String EDITOR_HYPERLINK_KEY_MODIFIER
A named preference that controls the key modifier for hyperlinks.

Value is of type `String`.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_HYPERLINK_KEY_MODIFIER_MASK

public static final String EDITOR_HYPERLINK_KEY_MODIFIER_MASK
A named preference that controls the key modifier mask for hyperlinks. The value is only used if the value of `EDITOR_HYPERLINK_KEY_MODIFIER` cannot be resolved to valid SWT modifier bits.

Value is of type `String`.

Since:
  3.1
See Also:
  - `EDITOR_HYPERLINK_KEY_MODIFIER`
  - Constant Field Values

### EDITOR_HYPERLINK_COLOR

public static final String EDITOR_HYPERLINK_COLOR
A named preference that holds the color used for hyperlinks.

Value is of type `String`. A RGB color value encoded as a string using class `PreferenceConverter`

Since:
  3.1
See Also:
  - `StringConverter`
  - `PreferenceConverter`
  - Constant Field Values

### EDITOR_HYPERLINK_COLOR_SYSTEM_DEFAULT

public static final String EDITOR_HYPERLINK_COLOR_SYSTEM_DEFAULT
A named preference that holds the preference whether to use the native link color.

The preference value is of type `Boolean`.

Since:
  3.5
See Also:
  - Constant Field Values

### EDITOR_DISABLE_OVERWRITE_MODE

public static final String EDITOR_DISABLE_OVERWRITE_MODE
A named preference that controls disabling of the overwrite mode.

Value is of type `Boolean`.

Note: As of 3.3, this preference can no longer be set via UI but is still honored by the code. A workspace that was started at least once with 3.3 has this preference set to `false`. Workspaces started with 3.4 keep their current preference.

Since:
  3.1
See Also:
  - Constant Field Values

### EDITOR_WARN_IF_INPUT_DERIVED

public static final String EDITOR_WARN_IF_INPUT_DERIVED
A named preference that controls whether a confirmation dialog is shown before editing derived input.

Value is of type `Boolean`.

Since:
  3.3
See Also:
  - Constant Field Values

### EDITOR_SMART_HOME_END

public static final String EDITOR_SMART_HOME_END
A named preference that controls if smart home/end navigation is on or off

Value is of type `Boolean`.

Since:
  3.3
See Also:
  - Constant Field Values

### EDITOR_SHOW_WHITESPACE_CHARACTERS

public static final String EDITOR_SHOW_WHITESPACE_CHARACTERS
A named preference that controls the display of whitespace characters.

Value is of type `Boolean`.

The following preferences can be used for fine-grained configuration when enabled.

- `EDITOR_SHOW_LEADING_SPACES`
- `EDITOR_SHOW_ENCLOSED_SPACES`
- `EDITOR_SHOW_TRAILING_SPACES`
- `EDITOR_SHOW_LEADING_IDEOGRAPHIC_SPACES`
- `EDITOR_SHOW_ENCLOSED_IDEOGRAPHIC_SPACES`
- `EDITOR_SHOW_TRAILING_IDEOGRAPHIC_SPACES`
- `EDITOR_SHOW_LEADING_TABS`
- `EDITOR_SHOW_ENCLOSED_TABS`
- `EDITOR_SHOW_TRAILING_TABS`
- `EDITOR_SHOW_CARRIAGE_RETURN`
- `EDITOR_SHOW_LINE_FEED`
- `EDITOR_WHITESPACE_CHARACTER_ALPHA_VALUE`

Since:
  3.3
See Also:
  - Constant Field Values

### EDITOR_SHOW_LEADING_SPACES

public static final String EDITOR_SHOW_LEADING_SPACES
A named preference that controls the display of leading Space characters. The value is used only if the value of `EDITOR_SHOW_WHITESPACE_CHARACTERS` is `true`.

Value is of type `Boolean`.

Since:
  3.7
See Also:
  - Constant Field Values

### EDITOR_SHOW_ENCLOSED_SPACES

public static final String EDITOR_SHOW_ENCLOSED_SPACES
A named preference that controls the display of enclosed Space characters. The value is used only if the value of `EDITOR_SHOW_WHITESPACE_CHARACTERS` is `true`.

Value is of type `Boolean`.

Since:
  3.7
See Also:
  - Constant Field Values

### EDITOR_SHOW_TRAILING_SPACES

public static final String EDITOR_SHOW_TRAILING_SPACES
A named preference that controls the display of trailing Space characters. The value is used only if the value of `EDITOR_SHOW_WHITESPACE_CHARACTERS` is `true`.

Value is of type `Boolean`.

Since:
  3.7
See Also:
  - Constant Field Values

### EDITOR_SHOW_LEADING_IDEOGRAPHIC_SPACES

public static final String EDITOR_SHOW_LEADING_IDEOGRAPHIC_SPACES
A named preference that controls the display of leading Ideographic Space characters. The value is used only if the value of `EDITOR_SHOW_WHITESPACE_CHARACTERS` is `true`.

Value is of type `Boolean`.

Since:
  3.7
See Also:
  - Constant Field Values

### EDITOR_SHOW_ENCLOSED_IDEOGRAPHIC_SPACES

public static final String EDITOR_SHOW_ENCLOSED_IDEOGRAPHIC_SPACES
A named preference that controls the display of enclosed Ideographic Space characters. The value is used only if the value of `EDITOR_SHOW_WHITESPACE_CHARACTERS` is `true`.

Value is of type `Boolean`.

Since:
  3.7
See Also:
  - Constant Field Values

### EDITOR_SHOW_TRAILING_IDEOGRAPHIC_SPACES

public static final String EDITOR_SHOW_TRAILING_IDEOGRAPHIC_SPACES
A named preference that controls the display of trailing Ideographic Space characters. The value is used only if the value of `EDITOR_SHOW_WHITESPACE_CHARACTERS` is `true`.

Value is of type `Boolean`.

Since:
  3.7
See Also:
  - Constant Field Values

### EDITOR_SHOW_LEADING_TABS

public static final String EDITOR_SHOW_LEADING_TABS
A named preference that controls the display of leading Tab characters. The value is used only if the value of `EDITOR_SHOW_WHITESPACE_CHARACTERS` is `true`.

Value is of type `Boolean`.

Since:
  3.7
See Also:
  - Constant Field Values

### EDITOR_SHOW_ENCLOSED_TABS

public static final String EDITOR_SHOW_ENCLOSED_TABS
A named preference that controls the display of enclosed Tab characters. The value is used only if the value of `EDITOR_SHOW_WHITESPACE_CHARACTERS` is `true`.

Value is of type `Boolean`.

Since:
  3.7
See Also:
  - Constant Field Values

### EDITOR_SHOW_TRAILING_TABS

public static final String EDITOR_SHOW_TRAILING_TABS
A named preference that controls the display of trailing Tab characters. The value is used only if the value of `EDITOR_SHOW_WHITESPACE_CHARACTERS` is `true`.

Value is of type `Boolean`.

Since:
  3.7
See Also:
  - Constant Field Values

### EDITOR_SHOW_CARRIAGE_RETURN

public static final String EDITOR_SHOW_CARRIAGE_RETURN
A named preference that controls the display of Carriage Return characters. The value is used only if the value of `EDITOR_SHOW_WHITESPACE_CHARACTERS` is `true`.

Value is of type `Boolean`.

Since:
  3.7
See Also:
  - Constant Field Values

### EDITOR_SHOW_LINE_FEED

public static final String EDITOR_SHOW_LINE_FEED
A named preference that controls the display of Line Feed characters. The value is used only if the value of `EDITOR_SHOW_WHITESPACE_CHARACTERS` is `true`.

Value is of type `Boolean`.

Since:
  3.7
See Also:
  - Constant Field Values

### EDITOR_WHITESPACE_CHARACTER_ALPHA_VALUE

public static final String EDITOR_WHITESPACE_CHARACTER_ALPHA_VALUE
A named preference that controls the alpha value of whitespace characters. The value is used only if the value of `EDITOR_SHOW_WHITESPACE_CHARACTERS` is `true`.

Value is of type `Integer`.

Since:
  3.7
See Also:
  - Constant Field Values

### SHOW_RANGE_INDICATOR

public static final String SHOW_RANGE_INDICATOR
A named preference that controls the display of the range indicator.

Value is of type `Boolean`.

Since:
  3.1
See Also:
  - Constant Field Values

### REVISION_ASK_BEFORE_QUICKDIFF_SWITCH

public static final String REVISION_ASK_BEFORE_QUICKDIFF_SWITCH
A named preference that controls whether the user is asked before switching the quick diff reference when showing revision information..

Value is of type `String`.

Since:
  3.2
See Also:
  - Constant Field Values

### REVISION_RULER_RENDERING_MODE

public static final String REVISION_RULER_RENDERING_MODE
A named preference that controls the rendering mode of the revision ruler.

Value is of type `String` and should contain the name of a `IRevisionRulerColumnExtension.RenderingMode`.

Since:
  3.3
See Also:
  - Constant Field Values

### REVISION_RULER_SHOW_AUTHOR

public static final String REVISION_RULER_SHOW_AUTHOR
A named preference that controls the rendering of the author on the revision ruler.

Value is of type `Boolean`.

Since:
  3.3
See Also:
  - Constant Field Values

### REVISION_RULER_SHOW_REVISION

public static final String REVISION_RULER_SHOW_REVISION
A named preference that controls rendering of the revision on the revision ruler.

Value is of type `Boolean`.

Since:
  3.3
See Also:
  - Constant Field Values

### EDITOR_TEXT_DRAG_AND_DROP_ENABLED

public static final String EDITOR_TEXT_DRAG_AND_DROP_ENABLED
A named preference that controls whether text drag and drop is enabled.

Value is of type `Boolean`.

Since:
  3.3
See Also:
  - Constant Field Values

### EDITOR_SHOW_TEXT_HOVER_AFFORDANCE

public static final String EDITOR_SHOW_TEXT_HOVER_AFFORDANCE
A named preference that defines whether the hint to make hover sticky should be shown.

Value is of type `Boolean`.

Since:
  3.3
See Also:
  - Constant Field Values

### EDITOR_HOVER_ENRICH_MODE

public static final String EDITOR_HOVER_ENRICH_MODE
A named preference that controls if hovers should automatically be closed when the mouse is moved into them, or when they should be enriched.

Value is of type `Integer` and maps to the following `ITextViewerExtension8.EnrichMode`:

- -1: `null` (don't allow moving the mouse into a hover),
- 0: `ITextViewerExtension8.EnrichMode.AFTER_DELAY`,
- 1: `ITextViewerExtension8.EnrichMode.IMMEDIATELY`,
- 2: `ITextViewerExtension8.EnrichMode.ON_CLICK`.

Since:
  3.4
See Also:
  - Constant Field Values

## Method Details

### initializeDefaultValues

public static void initializeDefaultValues(IPreferenceStore store)
Initializes the given preference store with the default values.

Parameters:
  `store` - the preference store to be initialized